Update an SSH key

PUT/v1/ssh_keys/{fingerprint}

If you need to update an SSH key, send a PUT request to /v1/ssh_keys/{fingerprint}. Identify a key with the help of the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
fingerprint
string

A fingerprint of an SSH key.

Request Body

FieldDetails
name?
string

A name of an SSH key.

labels?
object

Specify labels you want to attach to the resource. Refer to the Labels section for more details.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/ssh_keys/97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f73" \  -H "Content-Type: application/json" \  -d '{    "name": "new_name",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "name": "new_name",  "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f73",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "updated_at": "2026-05-28T07:02:32Z",  "created_at": "2026-05-28T07:02:31Z"}